import { FormControl, InputType, ValidationEvent, InputEvent, DynamicForm, FormFields } from '@/core/models';
import { ComputedRef, Ref } from 'vue';
import { DynamicFormsOptions } from '@/dynamicForms';
interface DynamicFormComposition {
    controls: Ref<FormControl<InputType>[]>;
    forceValidation: Ref<boolean>;
    formValues: ComputedRef<(string | {
        [key: string]: boolean;
    })[]>;
    errors: ComputedRef<Record<string, unknown>>;
    isValid: ComputedRef<boolean>;
    normalizedControls: ComputedRef<Record<string, unknown>>;
    deNormalizedScopedSlots: ComputedRef<string[]>;
    formattedOptions: ComputedRef<any>;
    valueChange: (event: InputEvent) => void;
    onBlur: (event: InputEvent) => void;
    onValidate: (event: ValidationEvent) => void;
    handleSubmit: () => void;
    validateAll: () => void;
    mapControls: (empty?: boolean) => void;
    findControlByName: (name: string | unknown) => FormControl<InputType>;
    resetForm: () => void;
    detectChanges: (fields: FormFields) => void;
}
export declare function useDynamicForm(form: DynamicForm, ctx: {
    slots: {};
    emit: (arg0: string, arg1: {
        [x: string]: string | number;
    }) => void;
}, options?: DynamicFormsOptions): DynamicFormComposition;
export {};
//# sourceMappingURL=useDynamicForm.d.ts.map